%global rpm_state_dir %{_localstatedir}/lib/rpm-state
%global source_path   %{URL}/blob/88d3ed89f30d8b0eb4877d860fa8d951f224f156/f

Summary:   JDKs configuration files copier
Name:      copy-jdk-configs
Version:   4.0
Release:   6%{?dist}
License:   BSD
URL:       https://pagure.io/copy_jdk_configs
Source0:   %{source_path}/copy_jdk_configs.lua
Source1:   %{source_path}/LICENSE
Source2:   %{source_path}/copy_jdk_configs_fixFiles.sh

Requires:  lua lua-posix findutils

BuildArch: noarch

%description
This package provides a Utility script to transfer JDKs configuration files
between updates or for archiving. With script to fix incorrectly created rpmnew files

%prep
cp -a %{SOURCE1} .

%build

%install
install -Dp %{SOURCE0} %{buildroot}/%{_libexecdir}/copy_jdk_configs.lua
install -Dp %{SOURCE2} %{buildroot}/%{_libexecdir}/copy_jdk_configs_fixFiles.sh

# This sript must be available during pretrans, so we save it by pretrans_install
# and create it during pretrans.
%global pretrans_install %(cat %{SOURCE0} | sed s/%%/%%%%/g | sed s/\\^%%%%/^%%/g)

%pretrans -p <lua>
function createPretransScript()
  os.execute("mkdir -p %{rpm_state_dir}")
  jdk_configs="%{rpm_state_dir}/copy_jdk_configs.lua"
  file = io.open(jdk_configs, "w")
  file:write([[%{pretrans_install}]])
  file:close()
end

pcall(createPretransScript)

%posttrans
rm -f "%{rpm_state_dir}/copy_jdk_configs.lua" 2> /dev/null || :

%files 
%license LICENSE
%{_libexecdir}/copy_jdk_configs.lua
%{_libexecdir}/copy_jdk_configs_fixFiles.sh

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Sep 19 2022 Shuo Wang <abushwang@tencent.com> - 4.0-1
- initial build
